Skip to content

Service references

All operations require authentication.

1 operationv2/publicCloud/project
Agent setup

Get object storage reference dataProduction

GET
/v2/publicCloud/project/{projectId}/reference/storage/object

Returns the storage classes with their minimum billed retention, the values accepted at bucket creation, and the allowed durations for restoring an archived object. Region capabilities, such as replication support, are returned by each region in /reference/region.

Path parameters

projectId
required
string

Project ID

Response

200ObjectStoragesuccessful operation
bucketOptions
read-only
BucketOptions

Allowed values for the bucket creation options

storageClasses
read-only
StorageClass[]

Object storage classes and their billing constraints

validation
read-only
Validation

Input validation constraints applied to object storage resources

Example uses projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/reference/storage/object \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "bucketOptions": { "encryptionAlgorithms": [ "AES256" ], "objectLockModes": [ "COMPLIANCE" ], "userRoles": [ { "isDefault": true, "name": "ADMIN" } ], "versioningStatuses": [ "DISABLED" ] }, "storageClasses": [ { "minBilledRetentionDays": 0, "name": "DEEP_ARCHIVE" } ], "validation": { "objectRestore": { "defaultDays": 0, "maxDays": 0, "minDays": 0 } }}